## rpncalc 1.1

=== Makefile ===
# Makefile for rpncalc - a rudimentary emulation of a HP28S
#
# $Id: Makefile,v 1.7 1996/09/14 15:54:08 david Rel $
# $Log: Makefile,v $
# Revision 1.7  1996/09/14 15:54:08  david
# New debian source format; removed $(DEBIAN) variable.
#
# Revision 1.6  1996/09/13 20:21:29  david
# lclint additions
#
# Revision 1.5  1996/08/14 21:18:33  david
# Fix for unexecutable /usr/man, /usr/man/man1
#
# Revision 1.4  1996/07/13 20:48:22  david
# Passing $(DEFS) to the compilation line for objects,
# since some function (getline etc) have moved.
#
# Revision 1.3  1996/05/09 20:54:52  david
# link against ncurses, not against termcap!
#
# Revision 1.1  1996/02/24 17:25:05  david
# Uses now MANTEMPL instead of MAN. This is nicer and cleaner.
#
# Revision 1.0  1995/12/31 20:05:34  david
# Initial revision
#

RM      = rm -f
CC      = gcc

LINT	= lclint
LINTOPTS= -exitarg -unrecog -realcompare -predboolint -boolops +boolint\
 -nullassign +charintliteral -mustfree

DEFS	= -DHAVE_READLINE
CFLAGS  = -O2 -Wall
LIBS    = -lm
#if defined(HAVE_READLINE)
LIBS	+= -lreadline -lncurses
#endif
LDFLAGS =

BIN     = rpncalc
MAN     = $(BIN).1
MANTEMPL= $(BIN).1.sed
SRCS    = cmds.c stack.c utils.c
OBJS	= cmds.o stack.o utils.o
HEADER  = $(BIN).h cmds.h utils.h

prefix  = /usr
BINDIR  = $(prefix)/bin
MANDIR  = $(prefix)/man/man1

all:	rpncalc

source:	$(SRCS) $(HEADER) $(MAN)
# implicit rules.

$(BIN).c:
debian.rules:
	co -kv $@

$(MAN): 
	co -kk $(MANTEMPL)
	sed "s/\\\$$Date\\\$$/`date +'%B %d, %Y'`/g" $(MANTEMPL) > $(MAN)
	-rm $(MANTEMPL)
	chmod 644 $(MAN)

.c.o:	$(HEADER) $(SRCS) $(OBJS)
	$(CC) $(CFLAGS) $(DEFS) -c -o $@ $<

rpncalc:	$(HEADER) $(SRCS) $(OBJS) $(BIN).c $(MAN)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFS) -o $(BIN) $(BIN).c $(OBJS) $(LIBS)

clean:
	$(RM) *.o *~ *.bak \#*\# errors core* a.out TAGS

distclean:	clean
	$(RM) $(BIN)

realclean:	distclean
	-rcsclean
	-$(RM) cmds.* rpncalc.*

install: 	$(MAN) $(BIN)
	install -d -g root -o root -m 755 $(BINDIR)
	install    -g root -o root -m 755 -s $(BIN) $(BINDIR)
	install -d -g root -o root -m 755 $(MANDIR)
	install    -g root -o root -m 644 $(MAN) $(MANDIR)

lint:	$(SRCS) $(BIN).c
	$(LINT) $(LINTOPTS) $^

=== debian/changelog ===
rpncalc (1.1-3) unstable; urgency=low

  * New debian changelog format; new packaging format

 -- David Frey <david@eos.lugs.ch>  Sat, 14 Sep 1996 01:01:27 +0200

Wed Aug 14 23:17:42 1996  David Frey  <david@eos.lugs.ch>

	* Bug#4156, unexecutable /usr/man, /usr/man/man1 fixed.

Sat Jul 13 19:53:43 1996  David Frey  <david@eos.lugs.ch>

	* cleaned up the readline access code.
	  You can always use readline(), regardless wether
	  reading from terminal or from stdin (file).

	* Command completion added. Modelled after the fileman.c
	  example in the readline library.

Sun Mar 17 15:20:47 1996  David Frey  <david@eos.lugs.ch>

	* the rpncalc in rpncalc-1.0-3.deb was statically linked.
	  This version is dynamically linked as it should be.

Sat Mar 16 21:55:28 1996  David Frey  <david@eos.lugs.ch>

	* recompiled for ELF distribution.

Sun Feb 11 22:52:31 1996  David Frey  <david@eos.lugs.ch>

	* revised the man page.

	* corrected e-Mail-address to <David.Frey@eos.lugs.ch>.
	  The address <David.Frey@lugs.ch> is still valid, but replies
	  to <david@eos.lugs.ch> will get bounced.

Wed Jan 24 23:08:37 1996  David Frey  <david@eos.lugs.ch>

	* changed libreadline dependency in debian.control
	  (Bug #2214 reported by E. Branderhorst <branderhorst@fgg.eur.nl>)

	* fixed spelling bug in debian.control
	  (Bug #2214 reported by E. Branderhorst <branderhorst@fgg.eur.nl>)

=== debian/control ===
Source: rpncalc
Section: math
Priority: optional
Maintainer: David Frey <David.Frey@eos.lugs.ch>
Standards-Version: 2.0.1.0

Package: rpncalc
Architecture: any
Depends: ${shlibs:Depends}
Description: a rpn calculator trying to emulate an HP28S
 rpncalc is an calculator similar to dc(1), but it uses the readline
 library and shows the stack visually.

=== debian/rules ===
#!/usr/bin/make -f
#
# Last updated: $Date: 1996/08/14 21:21:16 $ by $Author: david $
#
# This rules file was adapted from the
#   Sample debian.rules file - for GNU Hello (1.3).
#   Copyright 1994,1995 by Ian Jackson.
#   I hereby give you perpetual unlimited permission to copy,
#   modify and relicense this file, provided that you do not remove
#   my name from the file itself.  (I assert my moral right of
#   paternity under the Copyright, Designs and Patents Act 1988.)
#   This file may have to be extensively modified

# The name of the package (for example, `emacs').
package = rpncalc
# The version of the package (for example, `19.28').
version = 1.1
# The Debian revision of the package (for example, `2').
debian = 2

# ARCH = $(shell dpkg --print-architecture)

build:
# Builds the binary package.
	$(checkdir)
	$(MAKE) $p #CFLAGS=-O2 LDFLAGS=
	touch build

clean:
# Undoes the effect of `make -f debian.rules build'.
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL_PROGRAM='install -c -s' \
		prefix=debian/tmp/usr install
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9v debian/tmp/usr/doc/$(package)/changelog.Debian
	dpkg-shlibdeps $(package)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f $(package).c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## rpncalc 1.15-2

=== Makefile ===
# Makefile for rpncalc - a rudimentary emulation of a HP28S
#
# $Id: Makefile,v 1.12 1997/02/01 14:30:11 david Exp $

RM      = rm -f
CC      = gcc

LINT	= lclint
LINTOPTS= -exitarg -unrecog -realcompare -predboolint -boolops +boolint\
 -nullassign +charintliteral -mustfree

# Define -Dsunos4 or -Dsunos5 if you're unfortunate enough
# to run SunOs 4.1 or SunOs 5.5 (aka Solaris 2.5).
# Define -Dfreebsd if you're running FreeBSD.
DEFS	= -DVERSION=\"1.15\"

# Define -DHAVE_READLINE if you want readline support (strongly suggested)
# and have the readline libraries installed (most commercial Unices probably
# don't, though; Linux and FreeBSD almost certainly have them installed).
DEFS	+= -DHAVE_READLINE

CFLAGS  = -O2 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow\
  -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wcast-align\
  -Wwrite-strings -Wmissing-declarations -Wnested-externs
LIBS    = -lm

#if defined(HAVE_READLINE)
LIBS   += -lreadline -lncurses
#endif
LDFLAGS =

BIN     = rpncalc
MAN     = $(BIN).1
MANTEMPL= $(MAN).sed
SRCS    = cmds.c stack.c utils.c
OBJS	= cmds.o stack.o utils.o
HEADER  = $(BIN).h cmds.h utils.h stack.h

prefix  = /usr
BINDIR  = $(prefix)/bin
MANDIR  = $(prefix)/man/man1

all:	rpncalc $(MAN)

$(BIN).c:
debian.rules:
	co -kv $@

$(MAN): $(BIN) proto.ed
	if [ \! -r $(MANTEMPL) ]; then co -kk $(MANTEMPL); fi
	sed -e "s/\\\$$Date.*\\\$$/`date +'%B %-d, %Y'`"/g $(MANTEMPL) > $(MAN)
	ed -s - $(MAN) < proto.ed
	chmod 644 $(MAN)

.c.o:	$(HEADER) $(SRCS)
		$(CC) $(CFLAGS) $(DEFS) -c -o $@ $<

rpncalc:	$(HEADER) $(SRCS) $(OBJS) $(BIN).c
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFS) -o $(BIN) $(BIN).c $(OBJS) $(LIBS)

clean:
	$(RM) *.o *~ *.bak \#*\# errors core* a.out TAGS

distclean:	clean
	$(RM) $(BIN)

realclean:	distclean
	-rcsclean
	-$(RM) cmds.* rpncalc.*

install: 	$(MAN) $(BIN)
	install -d -g root -o root -m 755 $(BINDIR)
	install    -g root -o root -m 755 -s $(BIN) $(BINDIR)
	install -d -g root -o root -m 755 $(MANDIR)
	install    -g root -o root -m 644 $(MAN) $(MANDIR)

lint:	$(SRCS) $(BIN).c
	$(LINT) $(LINTOPTS) $^

=== debian/changelog ===
rpncalc (1.15-2) unstable; urgency=low

  * gzipped manpage, 
  * built package with dpkg-source from dpkg-dev 1.4.0.7

 -- David Frey <david@eos.lugs.ch>  Thu, 30 Jan 1997 00:33:31 +0100

rpncalc (1.15-1) unstable; urgency=low

  * Code cleanups; new `char' command.
  * Experimental support for FreeBSD, SunOs 4 and SunOs 5
    (read: I was able to compile it, but haven't tested it
     extensively)
  * `help' uses the command table to display it's commands

 -- David Frey <david@eos.lugs.ch>  Sat, 25 Jan 1997 20:16:54 +0059

rpncalc (1.1-4) unstable; urgency=low

  * relinked with libc5.4-7

 -- David Frey <david@eos.lugs.ch>  Sat, 9 Nov 1996 19:03:56 +0059

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# Last updated: $Date: 1996/08/14 21:21:16 $ by $Author: david $
+# Last updated: $Date: 1996/10/26 15:21:19 $ by $Author: david $
 #
 # This rules file was adapted from the
 #   Sample debian.rules file - for GNU Hello (1.3).
@@ -12,22 +12,14 @@
 #   This file may have to be extensively modified
 
 # The name of the package (for example, `emacs').
-package = rpncalc
-# The version of the package (for example, `19.28').
-version = 1.1
-# The Debian revision of the package (for example, `2').
-debian = 2
-
-# ARCH = $(shell dpkg --print-architecture)
+package = $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)
 
 build:
-# Builds the binary package.
 	$(checkdir)
 	$(MAKE) $p #CFLAGS=-O2 LDFLAGS=
 	touch build
 
 clean:
-# Undoes the effect of `make -f debian.rules build'.
 	$(checkdir)
 	-rm -f build
 	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
@@ -42,13 +34,13 @@
 binary-arch:	checkroot build
 	$(checkdir)
 	-rm -rf debian/tmp
-	install -d debian/tmp debian/tmp/DEBIAN
-	install -d debian/tmp/usr/doc/$(package)
+	install -d debian/tmp debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)
 	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL_PROGRAM='install -c -s' \
 		prefix=debian/tmp/usr install
 	cp debian/copyright debian/tmp/usr/doc/$(package)/.
 	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
-	gzip -9v debian/tmp/usr/doc/$(package)/changelog.Debian
+	gzip -9f debian/tmp/usr/doc/$(package)/changelog.Debian
+	gzip -9  debian/tmp/usr/man/man1/rpncalc.1
 	dpkg-shlibdeps $(package)
 	dpkg-gencontrol
 	chown -R root.root debian/tmp

## rpncalc 1.20-2

=== debian/changelog ===
rpncalc (1.20-2) unstable; urgency=low

  * changed maintainer address to (working) Debian-Adress
  * fixed bugs found by lintian: old FSF address and md5sums-pathnames
    starting with `.'.

 -- David Frey <dfrey@debian.org>  Tue, 10 Feb 1998 21:43:09 +0100

rpncalc (1.20-1) unstable; urgency=low

  * shlibs.local file deleted;
    fixes Bug #16420 (rpncalc: spurious shlibs.local file)
 
  * added some math functions to complete math library:
    cbrt, log1p, exp1m, hypot, cbrt, floor, rint, fmod.
  
  * made the whole thing autoconfiguring. This is experimental; the
    autoconfiguring code is not complete (for speed); it assumes a 
    working ANSI-C-Compiler and a working POSIX.1 system (C-library).
    This isn't a problem for modern Unices, though.
  
  * re-upload with version 1.20 instead of 1.2 for dpkg-upgrade reasons
    (1.20 is greater than 1.15, but 1.2 is not)

 -- David Frey <david@eos.lugs.ch>  Sat, 10 Jan 1998 15:44:16 +0100

rpncalc (1.15-5) unstable; urgency=low

  * fixes Bug #16198 (rpncalc: dumps core if input begins with space)
  
 -- David Frey <david@eos.lugs.ch>  Sat, 27 Dec 1997 19:11:40 +0100

rpncalc (1.15-4) unstable; urgency=low

  * changed maintainer address back to <David.Frey@eos.lugs.ch>
  * updated to Standard 2.3.0.1
  
 -- David Frey <david@eos.lugs.ch>  Sun, 21 Dec 1997 22:03:49 +0100

rpncalc (1.15-3) unstable; urgency=low

  * changes for libc6: pow10 and pow2 are gone.
  * changed maintainer address to dFrey@debian.org
  * added md5sums in debian/rules

 -- David Frey <david@eos.lugs.ch>  Thu, 11 Sep 1997 23:06:13 +0200

## rpncalc 1.20-4

=== Makefile ===
# Makefile for rpncalc - a rudimentary emulation of a HP28S
#
# $Id: Makefile,v 1.14 1997/12/27 19:33:33 david Exp david $

prefix = /usr/local
bindir = ${prefix}/bin
mandir = ${prefix}/man/man1

RM      = rm -f
CC      = gcc

VERSION	= $(shell expr "`head -1 debian/changelog`" : '[a-z]\+ (\([0-9.]\+\)-[0-9]\+).*')

DEFS	= -DVERSION=\"$(VERSION)\"

# Define -DHAVE_LIBREADLINE and -DHAVE_LIBHISTORY if you want readline and
# history support (strongly suggested) and have the readline/history libraries
# installed (most commercial Unices probably don't, though; Linux and FreeBSD
# almost certainly have them).
# -DHAVE_GETOPT_LONG if you want GNU-getopt (e.g. --version support),
# -DHAVE_POW2 and -DHAVE_POW10 if you're compiling under Linux libc5 and
# have the pow2 and pow10 functions in -lm
# -DHAVE_LDIV if you have ldiv() [almost certainly]

DEFS	+= -DHAVE_LIBREADLINE -DHAVE_LIBHISTORY -DHAVE_GETOPT_LONG -DHAVE_LDIV

CFLAGS  = -g -O2 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow\
  -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wcast-align\
  -Wwrite-strings -Wmissing-declarations -Wnested-externs
LIBS    = -lm

#if defined(HAVE_LIBHISTORY)
LIBS   +=  -lhistory
#endif
#if defined(HAVE_LIBREADLINE)
LIBS   += -lreadline -lncurses
#endif
LDFLAGS =

BIN     = rpncalc
MAN     = $(BIN).1
MANTEMPL= $(MAN).sed
SRCS    = $(BIN).c cmds.c stack.c utils.c
OBJS	= $(SRCS:.c=.o)
HEADER  = $(SRCS:.c=.h)

all:	$(BIN) $(MAN)

$(MAN): $(MANTEMPL) proto.ed
	sed -e "s/\\\$$Date.*\\\$$/`date +'%B %-d, %Y'`"/g $(MANTEMPL) > $(MAN)
	ed -s - $(MAN) < proto.ed
	chmod 644 $(MAN)

.c.o:
	$(CC) $(CFLAGS) $(DEFS) -c $<

$(BIN):	$(HEADER) $(SRCS) $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) -o $@ $(LIBS)

clean:
	-$(RM) *.o *~ *.bak \#*\# errors core* a.out TAGS tags gmon.out 

distclean: clean
	-$(RM) $(BIN) $(MAN)

realclean: distclean
	-rcsclean -u

install: 	$(MAN) $(BIN)
	install -d -g root -o root -m 755 $(bindir) $(mandir)
	install -s -g root -o root -m 755 $(BIN) $(bindir)
	install    -g root -o root -m 644 $(MAN) $(mandir)

=== debian/changelog ===
rpncalc (1.20-4) frozen unstable; urgency=medium

  * Recompile against ncurses4.2; re-upload for Debian 2.1

 -- David Frey <dfrey@debian.org>  Sat,  7 Nov 1998 20:11:45 +0100

rpncalc (1.20-3) unstable; urgency=low

  * Recompile against libncurses4.2

 -- David Frey <dfrey@debian.org>  Sat, 31 Oct 1998 00:03:04 +0100

=== debian/control ===
Source: rpncalc
Section: math
Priority: optional
Maintainer: David Frey <dfrey@debian.org>
Standards-Version: 2.3.0.1

Package: rpncalc
Architecture: any
Depends: ${shlibs:Depends}
Description: a RPN calculator trying to emulate an HP28S
 rpncalc is a calculator similar to dc(1), but it uses the readline
 library and shows the stack visually.

=== debian/rules ===
#!/usr/bin/make -f
#
# This rules file was adapted from the
#   Sample debian.rules file - for GNU Hello (1.3).
#   Copyright 1994,1995 by Ian Jackson.
#   I hereby give you perpetual unlimited permission to copy,
#   modify and relicense this file, provided that you do not remove
#   my name from the file itself.  (I assert my moral right of
#   paternity under the Copyright, Designs and Patents Act 1988.)
#   This file may have to be extensively modified

# The name of the package (for example, `emacs').
package = $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)

build:
	$(MAKE) all && touch build

clean:
	-rm -f build
	-$(MAKE) distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	build
# There are no architecture-independent files.
# If there were any they would be made here.

binary-arch:	build
	-rm -rf debian/tmp
	mkdir debian/tmp
	cd debian/tmp && install -d usr/doc/$(package)
	$(MAKE) prefix=debian/tmp/usr install
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9f debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9  debian/tmp/usr/man/man1/$(package).1
	cp debian/copyright debian/tmp/usr/doc/$(package)
	dpkg-shlibdeps $(package)
	install -d debian/tmp/DEBIAN
	cd debian/tmp &&\
	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
	   > DEBIAN/md5sums
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

# Below here is fairly generic really
binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

## rpncalc 1.31.7

=== debian/changelog ===
rpncalc (1.31.7) frozen unstable; urgency=low

  * applied patch from Ben Collins to make it compile with libreadline4
    (thanks, Ben)
  * added `externs' where appropriate and included prototypes where needed.

 -- David Frey <dfrey@debian.org>  Sun,  2 Apr 2000 18:18:08 +0200

rpncalc (1.31.6) unstable; urgency=low

  * show sign-on-notice only when interactive.

 -- David Frey <dfrey@debian.org>  Sat,  6 Nov 1999 21:53:15 +0100

rpncalc (1.31.5) unstable; urgency=low

  * made package FHS compliant

 -- David Frey <dfrey@debian.org>  Sun, 12 Sep 1999 22:41:35 +0200

rpncalc (1.31.4) unstable; urgency=low

  * new language: es.
    Claudio S. Surez Snchez <csuarez@ctv.es> was so nice to translate
    the manual page and the po-file into spanish. Thanks a lot!
  
  * Cleaned up parser a little more.

 -- David Frey <dfrey@debian.org>  Sat, 10 Jul 1999 17:52:21 +0200

rpncalc (1.31.3) unstable; urgency=medium

  * fixed embarassing typo in scan.l (fixes Bug#40818)
  * Version is now correctly printed out again.

 -- David Frey <dfrey@debian.org>  Tue,  6 Jul 1999 22:33:25 +0200

rpncalc (1.31.2) unstable; urgency=low

  * fixed bug in parsing octal/hexadecimal numbers introduced by using lex
    and yacc.
  * better checking for errno != 0.

 -- David Frey <dfrey@debian.org>  Fri, 25 Jun 1999 23:27:44 +0200

rpncalc (1.31.1) unstable; urgency=low

  * added the fp and ip functions.
  * added variables
  * Finnish messages, thanks to Antti-Juhani Kaijanaho <ajk@debian.org>,
    thanks!
  * Alpha needs a manual addition of -mieee-flag in order to force IEEE-math 
    compability
  * renamed changelog.Debian into changelog, since this is a native 
    Debian package.

 -- David Frey <dfrey@debian.org>  Sat, 15 May 1999 20:42:33 +0200

rpncalc (1.30-5) unstable; urgency=low

  * better HP28S-compability.
  * internationalized, uses now gettext.
  * uses now autoconf and automake.
  * uses now lex and yacc for cleaner implementation and extensibility.

 -- David Frey <dfrey@debian.org>  Sat,  6 Mar 1999 01:20:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 2.3.0.1
+Standards-Version: 3.0.1
 
 Package: rpncalc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#                                                            -*- Makefile -*-
#
# This rules file was adapted from the
#   Sample debian.rules file - for GNU Hello (1.3).
#   Copyright 1994,1995 by Ian Jackson.
#   I hereby give you perpetual unlimited permission to copy,
#   modify and relicense this file, provided that you do not remove
#   my name from the file itself.  (I assert my moral right of
#   paternity under the Copyright, Designs and Patents Act 1988.)
#   This file may have to be extensively modified

# The name of the package (for example, `emacs').
package	:= $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)
tmp	:= debian/tmp
doc	:= usr/share/doc/$(package)
manroot := usr/share/man
man	:= $(manroot)/man1


build:
	automake && autoconf && ./configure --prefix=/usr && $(MAKE) \
	  && touch build

clean:
	-rm -f build 
	-[ -r Makefile ] && $(MAKE) maintainer-clean 
	-rm -rf .deps config.cache *~ $(tmp) debian/*~ debian/files* 

binary-indep:	build
# There are no architecture-independent files.
# If there were any they would be made here.

binary-arch:	build
	-rm -rf $(tmp)
	mkdir $(tmp) $(tmp)/usr $(tmp)/usr/bin
	cd $(tmp) && install -d $(doc) $(manroot)
	$(MAKE) DESTDIR=$(tmp) install
	strip --strip-all $(tmp)/usr/bin/$(package)
	cp debian/changelog $(tmp)/$(doc)/changelog
	gzip -9f $(tmp)/$(doc)/changelog
	gzip -9  $(tmp)/$(man)/$(package).1 \
	         $(tmp)/$(manroot)/*/man1/$(package).1
	cp debian/copyright $(tmp)/$(doc)
	dpkg-shlibdeps $(package)
	install -d $(tmp)/DEBIAN
	cd debian && install -m 755 postinst prerm tmp/DEBIAN
	dpkg-gencontrol
	chown -R root.root $(tmp)
	chmod -R g-ws $(tmp)
	dpkg --build $(tmp) ..

# Below here is fairly generic really
binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

## rpncalc 1.31.13

=== debian/changelog ===
rpncalc (1.31.13) unstable; urgency=low

  * fixed rules file to include the i18n files correctly.

 -- David Frey <dfrey@debian.org>  Sun, 27 Jan 2002 20:23:51 +0100

rpncalc (1.31.12) unstable; urgency=low

  * updated config.guess and config.sub (closes: #129246)

 -- David Frey <dfrey@debian.org>  Mon, 14 Jan 2002 22:26:27 +0100

rpncalc (1.31.11) unstable; urgency=low

  * excluded spanish manpage since it is included in manpages-es-extra
    (closes: Bug #127512)
  * updated for standard version 3.5.6

 -- David Frey <dfrey@debian.org>  Sun, 13 Jan 2002 21:05:57 +0100

rpncalc (1.31.10) unstable; urgency=low

  * drop sunos5 support
  * fix Bug 105596 (closes: Bug #105596)
  * updated readline prototypes.

 -- David Frey <dfrey@debian.org>  Tue, 17 Jul 2001 23:04:59 +0200

rpncalc (1.31.9) unstable; urgency=low

  * Updated to policy 3.5.5
  * Updated autoconf scripts (closes: #103632)

 -- David Frey <dfrey@debian.org>  Fri, 13 Jul 2001 23:37:09 +0200

rpncalc (1.31.8) unstable; urgency=low

  * recompile for woody.

 -- David Frey <dfrey@debian.org>  Sun,  7 Jan 2001 22:43:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.0.1
+Standards-Version: 3.5.5
 
 Package: rpncalc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,20 +12,32 @@
 
 # The name of the package (for example, `emacs').
 package	:= $(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)
-tmp	:= debian/tmp
-doc	:= usr/share/doc/$(package)
-manroot := usr/share/man
+
+tmp	:= $(PWD)/debian/tmp
+
+prefix	:= usr
+bin	:= $(prefix)/bin
+doc	:= $(prefix)/share/doc/$(package)
+manroot := $(prefix)/share/man
+locale	:= $(prefix)/share/locale/
 man	:= $(manroot)/man1
 
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -g
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+AM_INSTALL_PROGRAM_FLAGS += -s
+endif
 
 build:
-	automake && autoconf && ./configure --prefix=/usr && $(MAKE) \
-	  && touch build
+	automake && autoconf2.50 && \
+	./configure --prefix=/$(prefix) && $(MAKE) &&\
+	touch build
 
 clean:
-	-rm -f build 
-	-[ -r Makefile ] && $(MAKE) maintainer-clean 
-	-rm -rf .deps config.cache *~ $(tmp) debian/*~ debian/files* 
+	-rm -f build
+	-[ -r Makefile ] && $(MAKE) maintainer-clean
+	-rm -rf .deps config.cache *~ $(tmp) debian/*~ debian/files*
 
 binary-indep:	build
 # There are no architecture-independent files.
@@ -33,21 +45,22 @@
 
 binary-arch:	build
 	-rm -rf $(tmp)
-	mkdir $(tmp) $(tmp)/usr $(tmp)/usr/bin
-	cd $(tmp) && install -d $(doc) $(manroot)
-	$(MAKE) DESTDIR=$(tmp) install
-	strip --strip-all $(tmp)/usr/bin/$(package)
+	mkdir $(tmp) $(tmp)/$(prefix) $(tmp)/$(bin)
+	cd $(tmp) && install -d $(doc) $(manroot) $(locale)
+	$(MAKE) AM_INSTALL_PROGRAM_FLAGS=-s DESTDIR=$(tmp) install
+	strip --strip-all $(tmp)/$(bin)/$(package)
 	cp debian/changelog $(tmp)/$(doc)/changelog
 	gzip -9f $(tmp)/$(doc)/changelog
 	gzip -9  $(tmp)/$(man)/$(package).1 \
 	         $(tmp)/$(manroot)/*/man1/$(package).1
+	rm -rf $(tmp)/$(manroot)/es
 	cp debian/copyright $(tmp)/$(doc)
 	dpkg-shlibdeps $(package)
 	install -d $(tmp)/DEBIAN
 	cd debian && install -m 755 postinst prerm tmp/DEBIAN
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root $(tmp)
-	chmod -R g-ws $(tmp)
+	chmod -R g-ws,go=rX $(tmp)
 	dpkg --build $(tmp) ..
 
 # Below here is fairly generic really

## rpncalc 1.33.4

=== debian/changelog ===
rpncalc (1.33.4) unstable; urgency=low

  * run automake stuff by hand before uploading
    (closes Bug#195499: rpncalc: FTBFS: Automake version mismatch)

 -- David Frey <dfrey@debian.org>  Sun, 14 Sep 2003 23:05:10 +0200

rpncalc (1.33.3) unstable; urgency=low

  * updated aclocal.m4 (closes Bug#195499: rpncalc: FTBFS: Automake version mismatch)

 -- David Frey <dfrey@debian.org>  Mon,  9 Jun 2003 22:41:56 +0200

rpncalc (1.33.2) unstable; urgency=low

  * Separate -I and -8 flag (closes: #190957)

 -- David Frey <dfrey@debian.org>  Sun, 27 Apr 2003 17:25:59 +0200

rpncalc (1.33.1) unstable; urgency=low

  * Do not include file names into the completion selection, only
    complete functions.

 -- David Frey <dfrey@debian.org>  Thu, 10 Apr 2003 00:06:20 +0200

rpncalc (1.32.3) unstable; urgency=low

  * do not set link to /usr/doc in postinst (fixes lintian bug)
  * update to newer automake 1.7

 -- David Frey <dfrey@debian.org>  Sat, 15 Feb 2003 17:44:41 +0100

rpncalc (1.32.2) unstable; urgency=low

  * added m4/glibc21.m4 (closes: #159251)

 -- David Frey <dfrey@debian.org>  Mon,  2 Sep 2002 21:58:13 +0200

rpncalc (1.32.1) unstable; urgency=low

  * applied patch from Vernon Mauery which adds binary mode input and
    output.
  * added Build-Depends line.
  * change autoconfiguration to adapt to autoconf2.5 and automake.

 -- David Frey <dfrey@debian.org>  Mon, 19 Aug 2002 23:26:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: rpncalc
+Build-Depends: bison, flex, automake1.7, autoconf (>= 2.57), gettext
 Section: math
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.5.5
+Standards-Version: 3.5.8
 
 Package: rpncalc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -28,11 +28,10 @@
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 AM_INSTALL_PROGRAM_FLAGS += -s
 endif
+STRIPOPTIONS=--remove-section=.comment --remove-section=.note --strip-unneeded
 
 build:
-	automake && autoconf2.50 && \
-	./configure --prefix=/$(prefix) && $(MAKE) &&\
-	touch build
+	./configure --prefix=/$(prefix) && $(MAKE) && touch build
 
 clean:
 	-rm -f build
@@ -48,7 +47,7 @@
 	mkdir $(tmp) $(tmp)/$(prefix) $(tmp)/$(bin)
 	cd $(tmp) && install -d $(doc) $(manroot) $(locale)
 	$(MAKE) AM_INSTALL_PROGRAM_FLAGS=-s DESTDIR=$(tmp) install
-	strip --strip-all $(tmp)/$(bin)/$(package)
+	strip $(STRIPOPTIONS) $(tmp)/$(bin)/$(package)
 	cp debian/changelog $(tmp)/$(doc)/changelog
 	gzip -9f $(tmp)/$(doc)/changelog
 	gzip -9  $(tmp)/$(man)/$(package).1 \
@@ -57,7 +56,7 @@
 	cp debian/copyright $(tmp)/$(doc)
 	dpkg-shlibdeps $(package)
 	install -d $(tmp)/DEBIAN
-	cd debian && install -m 755 postinst prerm tmp/DEBIAN
+	cd debian && install -m 755 prerm tmp/DEBIAN
 	dpkg-gencontrol -isp
 	chown -R root.root $(tmp)
 	chmod -R g-ws,go=rX $(tmp)

## rpncalc 1.33.5

=== debian/changelog ===
rpncalc (1.33.5) unstable; urgency=low

  * added updated translation for finnish (closes: Bug#227037).
    Thanks to Antti-Juhani Kaijanaho for sending me an updated
    finnish translation.
  * clean config.cache and config.status by calling distclean
  * updated setting of the version constant in configure.in
    (now parsed out of the Debian changelog file)
  * 

 -- David Frey <david@eos.lugs.ch>  Mon, 12 Jan 2004 01:25:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: rpncalc
-Build-Depends: bison, flex, automake1.7, autoconf (>= 2.57), gettext
+Build-Depends: bison, flex, automake1.8, autoconf (>= 2.57), gettext
 Section: math
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -31,11 +31,12 @@
 STRIPOPTIONS=--remove-section=.comment --remove-section=.note --strip-unneeded
 
 build:
-	./configure --prefix=/$(prefix) && $(MAKE) && touch build
+	LINGUAS="de es fi" ./configure --prefix=/$(prefix) && \
+	$(MAKE) && touch build
 
 clean:
 	-rm -f build
-	-[ -r Makefile ] && $(MAKE) maintainer-clean
+	-[ -r Makefile ] && $(MAKE) distclean
 	-rm -rf .deps config.cache *~ $(tmp) debian/*~ debian/files*
 
 binary-indep:	build

## rpncalc 1.34

=== debian/changelog ===
rpncalc (1.34) unstable; urgency=low

  * added french translation. Thanks to Nicolas Bertolissio.
  * updated version to 1.34 (it is not an NMU version) [fixes lintian warning]
  * updated standards version [fixes lintian warning]
  * saved changelog as UTF-8 [fixes lintian warning]

 -- David Frey <david@eos.lugs.ch>  Tue, 17 Aug 2004 22:42:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: math
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 3.5.8
+Standards-Version: 3.6.6
 
 Package: rpncalc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 STRIPOPTIONS=--remove-section=.comment --remove-section=.note --strip-unneeded
 
 build:
-	LINGUAS="de es fi" ./configure --prefix=/$(prefix) && \
+	LINGUAS="de es fi fr" ./configure --prefix=/$(prefix) && \
 	$(MAKE) && touch build
 
 clean:

## rpncalc 1.35

=== debian/changelog ===
rpncalc (1.35) unstable; urgency=low

  * recreate aclocal.m4 (closes: Bug#195499)
  * remove "a" prefix in packges description (closes: Bug#300035).
    This solves the discussion whether "a" or "an" is correct.
  * updated de.po (high german version with sharp s).
  * Expanded build dependencies with "libreadline5-dev|libreadline-dev"
    (closes: Bug#326301)
  * remove PACKAGE.pot file (closes: Bug#329393)
  * Updated FSF's address again.
  * Update to Standard version 3.6.2.

 -- David Frey <dfrey@debian.org>  Mon, 26 Sep 2005 22:21:32 +0200

=== debian/control ===
Source: rpncalc
Build-Depends: bison, flex, automake1.9, autoconf (>= 2.57), gettext, libreadline5-dev | libreadline-dev
Section: math
Priority: optional
Maintainer: David Frey <dfrey@debian.org>
Standards-Version: 3.6.2

Package: rpncalc
Architecture: any
Depends: ${shlibs:Depends}
Description: RPN calculator trying to emulate an HP28S
 rpncalc is a calculator similar to dc(1), but it uses the readline
 library and shows the stack visually.

## rpncalc 1.36.5

=== Makefile ===
# Makefile for rpncalc - a rudimentary emulation of a HP28S
#
# $Id: Makefile,v 1.12 1997/02/01 14:30:11 david Exp $

RM      = rm -f
CC      = gcc

CFLAGS  = -O2 -Wall \
  -Wmissing-declarations -Wstrict-prototypes -Wmissing-prototypes\
  -Wshadow\
  -Wcast-align -Wcast-qual -Wcast-align\
  -Wbad-function-cast -Wpointer-arith\
  -Wwrite-strings -Wnested-externs

YFLAGS = -d
LFLAGS = -8 # -d

DEFS	= -DLOCALEDIR=\"$(LOCALEDIR)\" -DPACKAGE=\"rpncalc\" -DVERSION=\"1.36\"

LIBS    = -lm -lreadline

LDFLAGS =

BIN     = rpncalc

MAN     = $(BIN).1
MANTEMPL= $(MAN).sed

MAN_LINGUAS = de es
MANTEMPLS = rpncalc.de.1.sed rpncalc.en.1.sed rpncalc.es.1.sed
MANS = rpncalc.de.1 rpncalc.en.1 rpncalc.es.1

SRCS    = cmds.c stack.c utils.c
OBJS	= cmds.o stack.o utils.o gram.o scan.o
HEADER  = $(BIN).h cmds.h utils.h stack.h
CLEANFILES=gram.c scan.c $(man_MANS)

prefix  = $(DESTDIR)/usr
BINDIR  = $(prefix)/bin
MANDIR  = $(prefix)/share/man
MANDIR1 = $(MANDIR)/man1

LINGUAS = de es fi fr
LOCALEDIR = $(prefix)/share/locale

all:	rpncalc $(MAN) $(MANS)

$(BIN).c:

$(MAN): $(BIN) proto.ed
	sed -e "s/\\\$$Date.*\\\$$/`date +'%B %-d, %Y'`/g" $(MANTEMPL) > $(MAN)
	ed -s - $(MAN) < proto.ed
	chmod 644 $(MAN)
	ln -fs rpncalc.en.1 rpncalc.1

$(MANS): proto.ed $(MANTEMPLS)
	unset LANG; \
	for lang in $(MAN_LINGUAS); do \
	  manpage=rpncalc.$$lang.1; \
	  LANG=$$lang_$$(echo $$lang|tr a-z A-Z) sed -e "s/\\\$$Date.*\\\$$/`date +'%B %-d, %Y'`/g" $$manpage.sed > $$manpage; \
	  ed -s - $$manpage < proto.ed; \
	  chmod 644 $$manpage; \
	done

.c.o:	$(HEADER) $(SRCS)
		$(CC) $(CFLAGS) $(DEFS) -c -o $@ $<

rpncalc:	$(HEADER) $(SRCS) $(OBJS) $(BIN).c
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFS) -o $(BIN) $(BIN).c $(OBJS) $(LIBS)

clean:
	$(RM) *.o *~ *.bak \#*\# errors core* a.out TAGS
	$(RM) $(BIN)

install:	$(MAN) $(BIN)
	install -d -g root -o root -m 755 $(BINDIR)
	install    -g root -o root -m 755 $(BIN) $(BINDIR)
	install -d -g root -o root -m 755 $(MANDIR1)
	install    -g root -o root -m 644 $(MAN) $(MANDIR1)

	for lang in `echo $(MAN_LINGUAS)|tr ' ' '\n'|grep -v en`; do \
	  mandir=$(MANDIR)/$$lang/man1; \
	  install -d -g root -o root -m 755 $$mandir; \
	  install    -g root -o root -m 644 rpncalc.$$lang.1 $$mandir/rpncalc.1; \
	done
	for lang in `echo $(LINGUAS)|tr ' ' '\n'|grep -v en`; do \
	  localedir=$(LOCALEDIR)/$$lang/LC_MESSAGES; \
	  install -d -g root -o root -m 755 $$localedir; \
	  install    -g root -o root -m 644 po/$$lang.gmo $$localedir/rpncalc.mo; \
	done

po:
	xgettext -F -o po/rpncalc.pot -k_ *.[cly]

rpncalc.c: cmds.h stack.h utils.h Makefile
cmds.c: cmds.h stack.h utils.h Makefile
stack.c: cmds.h stack.h utils.h Makefile
utils.c: utils.h Makefile
scan.l: cmds.h stack.h utils.h gram.h Makefile
gram.y: cmds.h stack.h utils.h Makefile

.PHONY:	po clean

=== debian/changelog ===
rpncalc (1.36.5) unstable; urgency=low

  * add missing Build-dependancy to ed (closes: #397314)
    (thanks to Andreas Jochens for reporting this)

 -- David Frey <david@eos.lugs.ch>  Mon,  6 Nov 2006 22:03:45 +0100

rpncalc (1.36.4) unstable; urgency=low

  * call "make clean" in clean target of debian/rules
    (closes: #396323)

 -- David Frey <david@eos.lugs.ch>  Sun,  5 Nov 2006 17:08:28 +0100

rpncalc (1.36.3) unstable; urgency=low

  * use dh_strip for stripping executable
    (this might fix the OS/390 build).

 -- David Frey <david@eos.lugs.ch>  Thu,  2 Nov 2006 00:08:40 +0100

rpncalc (1.36.2) unstable; urgency=low

  * Do not "install -s", in order that strip does not fail
    (this might fix the OS/390 build).

 -- David Frey <david@eos.lugs.ch>  Tue, 31 Oct 2006 23:33:50 +0100

rpncalc (1.36) unstable; urgency=low

  * get rid of autoconf machinery (closes: #330816)  
  * do not explicitely link against ncurses (thanks to the checklib mail)
  * clean up po-subdirectory (closes: #331645)

 -- David Frey <david@eos.lugs.ch>  Thu, 26 Oct 2006 23:12:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: rpncalc
-Build-Depends: bison, flex, automake1.9, autoconf (>= 2.57), gettext, libreadline5-dev | libreadline-dev
+Build-Depends: bison, ed, flex, gettext, libreadline5-dev | libreadline-dev, debhelper
 Section: math
 Priority: optional
 Maintainer: David Frey <dfrey@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -25,19 +25,14 @@
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -g
 endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-AM_INSTALL_PROGRAM_FLAGS += -s
-endif
-STRIPOPTIONS=--remove-section=.comment --remove-section=.note --strip-unneeded
 
 build:
-	LINGUAS="de es fi fr" ./configure --prefix=/$(prefix) && \
 	$(MAKE) && touch build
 
 clean:
+	$(MAKE) clean
 	-rm -f build
-	-[ -r Makefile ] && $(MAKE) distclean
-	-rm -rf .deps config.cache *~ $(tmp) debian/*~ debian/files*
+	-rm -rf *~ $(tmp) debian/*~ debian/files debian/substvars
 
 binary-indep:	build
 # There are no architecture-independent files.
@@ -47,8 +42,8 @@
 	-rm -rf $(tmp)
 	mkdir $(tmp) $(tmp)/$(prefix) $(tmp)/$(bin)
 	cd $(tmp) && install -d $(doc) $(manroot) $(locale)
-	$(MAKE) AM_INSTALL_PROGRAM_FLAGS=-s DESTDIR=$(tmp) install
-	strip $(STRIPOPTIONS) $(tmp)/$(bin)/$(package)
+	$(MAKE) DESTDIR=$(tmp) install
+	dh_strip $(tmp)/$(bin)/$(package)
 	cp debian/changelog $(tmp)/$(doc)/changelog
 	gzip -9f $(tmp)/$(doc)/changelog
 	gzip -9  $(tmp)/$(man)/$(package).1 \
@@ -62,6 +57,7 @@
 	chown -R root.root $(tmp)
 	chmod -R g-ws,go=rX $(tmp)
 	dpkg --build $(tmp) ..
+	chmod a+r debian/files
 
 # Below here is fairly generic really
 binary:		binary-indep binary-arch

## rpncalc 1.36.5-0.1

=== debian/changelog ===
rpncalc (1.36.5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use $(CURDIR) instead of $(PWD) in debian/rules to fix FTBFS when using
    sudo (closes: #418354).  Thanks, Steve Langasek!

 -- Julien Cristau <jcristau@debian.org>  Sun, 27 May 2007 17:15:28 +0200
